Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.scheme.util
Interface FieldTypeResolver

All Superinterfaces:
  Serializable

    public interface FieldTypeResolver

extends Serializable

Method Summary
`String` | `cleanField(int ordinal, String fieldName, Type type)`
`Type` | `inferTypeFrom(int ordinal, String fieldName)`
`String` | `prepareField(int i, String fieldName, Type type)`

Method Detail

### inferTypeFrom

    Type inferTypeFrom(int ordinal,
                       String fieldName)

### cleanField

    String cleanField(int ordinal,
                      String fieldName,
                      Type type)

### prepareField

    String prepareField(int i,
                        String fieldName,
                        Type type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.